试图安装RVM和GET:运行‘__RVM_make-j2’时出错

内容来源于 Stack Overflow,并遵循CC BY-SA 3.0许可协议进行翻译与使用

  • 回答 (1)
  • 关注 (0)
  • 查看 (71)

我试图在Mac上安装带有稳定的ruby的RVM,但得到了一个Make错误:

缩写控制台输出:

   \curl -sSL https://get.rvm.io | bash -s stable --ruby\curl -sSL https://get.rvm.io
   ...
   ...
   ... 
   ruby-2.4.1 - #extracting ruby-2.4.1 to /Users/bbush/.rvm/src/ruby-2.4.1....
   ruby-2.4.1 - #applying patch /Users/bbush/.rvm/patches/ruby/2.4.1/random_c_using_NR_prefix.patch.
   ruby-2.4.1 - #configuring...................................................................
   ruby-2.4.1 - #post-configuration.
   ruby-2.4.1 - #compiling...........
   Error running '__rvm_make -j2',

简写的make.log:

............
compiling enc/us_ascii.c
compiling enc/unicode.c
compiling enc/utf_8.c
compiling enc/trans/newline.c
linking miniruby
generating encdb.h
make: ./miniruby: Permission denied
make: ./miniruby: Permission denied
make: *** [.rbconfig.time] Error 1
make: *** Waiting for unfinished jobs....
make: *** [encdb.h] Error 1
++ /scripts/functions/support : __rvm_make()  383 > return 2
提问于

扫码关注云+社区

领取腾讯云代金券